# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['nonebot_plugin_animeres']

package_data = \
{'': ['*']}

install_requires = \
['aiohttp>=3.8.3,<4.0.0', 'lxml>=4.9.1,<5.0.0']

setup_kwargs = {
    'name': 'nonebot-plugin-animeres',
    'version': '0.1.0',
    'description': '动漫资源获取插件',
    'long_description': '# 动漫资源获取插件\n\n这个插件主要是网站爬取过来的数据，在使用命令进行搜索时候采样关键字的方式，比如`天气之子`这时搜索的是天气之子相关资源，但是获取的资源并不理想，你只需要生肉（无字幕）资源时，你就需要`天气之子 mkv`或`天气之子 mkv`这种多个关键字空格方式进行获取，这种方式准确度会比直接用`天气之子`精准切效果好，建议采样上述多关键字的方式进行搜索。\n\n- 命令\n  - `资源`、`动漫资源`\n- 参数\n  - `资源名称`\n\n## 配置参数\n\n```env\nCARTOON_PROXY="127.0.0.1:1080"  # 设置代理端口\nCARTOON_FORWARD=false           # 合并转发的形式发送消息\nCARTOON_LENGTH=3                # 每次发送的数量\n```\n\n\n\n### CARTOON_PROXY\n\n通过`CARTOON_PROXY`参数可以设置代理来加速资源的获取或者获取不到的情况\n\n### CARTOON_FORWARD\n\n用来发送合并消息\n\n![合并消息转发](image/forward.png)\n',
    'author': 'MelodyKnit',
    'author_email': '2711402357@qq.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
